import './globals.css'
import type { Metadata } from 'next'
import { Inter } from 'next/font/google'

import Header from '@/components/Header'
import NavBar from '@/components/NavBar'
import Footer from '@/components/Footer'
const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
}

import { NavigationItems, ContactItems, navItem } from '@/Data/Router'
export default function RootLayout({ children, }: { children: React.ReactNode }) {
  const FooterNavigation: navItem[] = [
    {
      path: "/sitemap",
      content: "Sitemap",
    },
    ...NavigationItems
  ]
  return (
    <html lang="en">
      <body className={inter.className}>
        <Header />
        <NavBar navItem={NavigationItems} />
        {children}
        <Footer contact={ContactItems} footerItems={FooterNavigation} />
      </body>
    </html>
  )
}
